Developers
List generations
GET
The caller’s generations, newest first, with their status.
header
AuthorizationBearer <token>An API Key the User creates in account settings, sent as Authorization: Bearer <key>. It holds the Scopes chosen at creation.
cursor?stringLength
1 <= lengthlimit?integerRange
1 <= value <= 100Success.
application/json- response
items*array<>next_cursor*string|nullcurl -X GET 'https://ximagesplitter.com/api/v1/generations'Example response
{
"items": [
{
"creationId": "string",
"status": "generating",
"mediaType": "image",
"operation": "text-to-image",
"modelKey": "nano-banana-2",
"modelFamily": "string",
"prompt": "string",
"negativePrompt": "string",
"optionValues": {
"property1": "string",
"property2": "string"
},
"inputAssets": [
{
"id": "string",
"slotId": "string",
"type": "image",
"role": "source",
"url": "http://example.com",
"mimeType": "string",
"fileName": "string",
"sizeBytes": 0,
"width": 1,
"height": 1,
"durationSeconds": 1,
"referenceName": "string"
}
],
"outputAssets": [
{
"id": "string",
"type": "image",
"url": "http://example.com",
"isPrimary": true,
"posterUrl": "http://example.com",
"mimeType": "string",
"sizeBytes": 0,
"width": 0,
"height": 0,
"durationSeconds": 0,
"hasAudio": true,
"storageKey": "string"
}
],
"primaryOutput": {
"id": "string",
"type": "image",
"url": "http://example.com",
"isPrimary": true,
"posterUrl": "http://example.com",
"mimeType": "string",
"sizeBytes": 0,
"width": 0,
"height": 0,
"durationSeconds": 0,
"hasAudio": true,
"storageKey": "string"
},
"aspectRatio": "string",
"durationSeconds": 0,
"resolution": "string",
"recreatable": true,
"createdAt": "string",
"isReadyForPreview": true,
"shared": true,
"originalPrompt": "string"
}
],
"next_cursor": "string"
}